This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 110732 - grub should BuildRequires: ncurses-devel
grub should BuildRequires: ncurses-devel
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: grub (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 05:47 EST by Maxim Dziumanenko
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 0.93-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-03 12:35:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Maxim Dziumanenko 2003-11-24 05:47:07 EST
Description of problem:
grub package linked statically with libncurses.a (which belongs to
ncurses-devel package), so grub should BuildRequires: ncurses-devel

Version-Release number of selected component (if applicable):
grub-0.93-7

How reproducible:
Always

Steps to Reproduce:
1.rpm -e ncurses-devel
2.rpmbuild --rebuild grub-0.93-7.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:
Comment 1 Miloslav Trmac 2003-11-24 07:18:35 EST
Triage->Easyfix
Comment 2 Jeremy Katz 2003-11-24 17:14:55 EST
Added to CVS, will be in next build.
Comment 3 Miloslav Trmac 2004-02-03 12:35:02 EST
Fix confirmed in grub-0.93-8.

Note You need to log in before you can comment on or make changes to this bug.